# id

Finds the elements with given ID attribute values

id($arg as xs:string*) → element()*

Arguments
| $arg | xs:string* | The ID value being sought
Result | element()*

id($arg as xs:string*, $node as node()) → element()*

Arguments
| $arg | xs:string* | The ID value being sought
| $node | node() | The document in which the search takes place
Result | element()*

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next